6.0.0-git
2021-01-18

[#10266] Allow to size restrict the tidy extension
Summary Allow to size restrict the tidy extension
Queue IMP
Queue Version Git master
Type Enhancement
State Resolved
Priority 1. Low
Owners
Requester wrobel (at) horde (dot) org
Created 2011-06-22 (3498 days ago)
Due
Updated 2011-06-23 (3497 days ago)
Assigned
Resolved 2011-06-23 (3497 days ago)
Milestone
Patch No

History
2011-06-23 06:33:47 Gunnar Wrobel Comment #4
State ⇒ Resolved
Reply to this comment
Works perfectly. Thanks for the quick hint!
2011-06-23 06:30:45 Git Commit Comment #3 Reply to this comment
Changes have been made in Git for this ticket:

[gwr] Support restricting the HTML tidy post processing by the message 
size (Request #10266).

  5 files changed, 16 insertions(+), 4 deletions(-)
http://git.horde.org/horde-git/-/commit/dadbf4aa9afff91edd21119e0ea80d8eb3217bb3
2011-06-22 17:26:10 Michael Slusarz Comment #2 Reply to this comment
Horde_Text_Filter_Cleanhtml offers a 'size' parameter setting that I 
(might) wish to set installation wide but seem to be unable to modify.

The original problem: I have an installation where the "tidy" 
extension fails to postProcess() the HTML message text for large 
messages probably due to memory limits. Now I assume the "size" 
parameter is what I would like to use in order to avoid post 
processing in such cases. Is that assumption correct?
I believe so.
What would be a reasonable way to make this configurable?
You would have to create a new parameter in mime_drivers.php for 
*Horde* (not IMP).  HTML cleaning is done within the _cleanHTML() 
method in the framework HTML Mime_Driver, not the IMP driver.
2011-06-22 08:24:58 Gunnar Wrobel Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Allow to size restrict the tidy extension
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
Horde_Text_Filter_Cleanhtml offers a 'size' parameter setting that I 
(might) wish to set installation wide but seem to be unable to modify.

The original problem: I have an installation where the "tidy" 
extension fails to postProcess() the HTML message text for large 
messages probably due to memory limits. Now I assume the "size" 
parameter is what I would like to use in order to avoid post 
processing in such cases. Is that assumption correct?

What would be a reasonable way to make this configurable?

I admit that the basis for my current analysis is somewhat vague as I 
have only limited debugging capabilities on this particular 
installation.

Saved Queries